Subject: bug#79367: 31.0.50; magit-commit sometimes doesn't work if diff-hl-update-async is t

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Sep 2025 14:25:58 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 02 Sep 2025 15:33:46 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I can code the proposed fix in a few minutes, if there's agreement to
> > what I proposed to do.  I'm still uncertain what I proposed is
> > agreed-upon.  So let me reiterate that:
> >
> >   . if the process on behalf of which we called
> >     server_accept_connection was not locked to some thread, undo what
> >     make_process did to the new process when it called pset_thread
> >   . otherwise, call set_proc_thread to lock the new process to the
> >     same thread as the one which caused this call
> 
> Whatever you do, please post your change for review rather than just
> pushing it.

Will do.

> >> I don't want us to spend a lot of time arguing revert-or-no-revert now, 
> >> but could you, Eli, try to decide on a full example of a buggy scenario 
> >> which is really solved by thread locking being?
> >
> > I already described that in so many words.
> 
> Can you send that full description again?  Perhaps I can translate it
> from words into code for you.

Look at my posts as part of discussing bug#79201.  For example:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79201#88
  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79201#94
  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79201#100
  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79201#106